Something´s not working when installing PHPBB 3.2

Issues related to applications and software problems
Post Reply
Rogify
Posts: 2
Joined: 2018/02/01 10:53:17

Something´s not working when installing PHPBB 3.2

Post by Rogify » 2018/02/01 11:01:57

Hello. I´m running a 258MB CentOS 6 VPS, and I´m trying to host a forum there. I got 3.1 PHPBB working there, so I decided to update it. It told me to update my PHP, I did. After I got the files to where they are supposed to be /var/www/html/, I try to go to /install/database_update.php on my browser, but it just shows me the PHP code of database_update.php. When I check the MySQL and PHP versions, they show me this:

Code: Select all

# php -v
PHP 5.6.33 (cli) (built: Jan 14 2018 08:42:34)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies

# mysql --version
mysql  Ver 14.14 Distrib 5.1.73, for redhat-linux-gnu (i386) using readline 5.1
NOTE: I´m completely new to CentOS, so take it in note when trying to help. Thanks!

User avatar
TrevorH
Forum Moderator
Posts: 22800
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Something´s not working when installing PHPBB 3.2

Post by TrevorH » 2018/02/01 11:54:08

How did you update php?
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Rogify
Posts: 2
Joined: 2018/02/01 10:53:17

Re: Something´s not working when installing PHPBB 3.2

Post by Rogify » 2018/02/01 12:00:01

TrevorH wrote:How did you update php?
I deleted everything from html/ except Config.php, files and images folders, then added the 3.2 Files. Did this all through Filezilla.
EDIT: My bad, I thought you meant PHPBB. I deleted the old php, and got new ones. I´ll try to find which guide I used.

EDIT 2:

Code: Select all

# yum list installed | grep "php"
php56w.i386                      5.6.33-1.w6                           @webtatic
php56w-cli.i386                  5.6.33-1.w6                           @webtatic
php56w-common.i386               5.6.33-1.w6                           @webtatic
php56w-opcache.i386              5.6.33-1.w6                           @webtatic

User avatar
TrevorH
Forum Moderator
Posts: 22800
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Something´s not working when installing PHPBB 3.2

Post by TrevorH » 2018/02/01 15:54:15

We do not recommend use of the webtatic repo. Uninstall that lot and use the equivalent packages from the IUS repo instead.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

pjsr2
Posts: 315
Joined: 2014/03/27 20:11:07

Re: Something´s not working when installing PHPBB 3.2

Post by pjsr2 » 2018/02/01 21:55:11

# php -v
PHP 5.6.33 (cli) (built: Jan 14 2018 08:42:34)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
The above shows you the version of the command line php interpreter. It may happen that the version of the php module loaded by your web server is not the same.

When you want to know the version of php used by your web server, create a small file my_php_info.php and put that somewhere in your /var/www/html directory, so you can load it as a web page in your web browser. Give it the following contents:

Code: Select all

<?php
phpinfo();
?>
Remove the file when you are done; it shows important configuration information that never should be shown on a public web site.

You write your VPS has 256 MB memory. That is rather low for a public website. You have to carefully go through your php.ini and mysql configuration files and adjust the limits for the amount of memory that php and mysql are allowed to use.

As TrevorH already mentioned: stay away from the webtatic repository. See https://wiki.centos.org/AdditionalResou ... positories for a list of good repositories.

Post Reply